Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs Class Reference

Arguments passed when scan failures are detected. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs:
[legend]

## Public Member Functions
| ScanFailureEventArgs (string name, Exception e)
| Initialise a new instance of ScanFailureEventArgs

## Properties
string | Name`[get]`
| The applicable name.
Exception | Exception`[get]`
| The applicable exception.
bool | ContinueRunning`[get, set]`
| Get / set a value indicating wether scanning should continue.

## Private Attributes
string | name_
Exception | exception_
bool | continueRunning_

## Detailed Description

Arguments passed when scan failures are detected.

## Constructor & Destructor Documentation

## ◆ ScanFailureEventArgs()

ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.ScanFailureEventArgs | ( | string | name,
|  | Exception | e )

Initialise a new instance of ScanFailureEventArgs

Parameters

  name | The name to apply.
  e | The exception to use.

## Member Data Documentation

## ◆ continueRunning_

bool ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.continueRunning_
| private

## ◆ exception_

Exception ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.exception_
| private

## ◆ name_

string ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.name_
| private

## Property Documentation

## ◆ ContinueRunning

bool ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.ContinueRunning
| get set

Get / set a value indicating wether scanning should continue.

## ◆ Exception

Exception ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.Exception
| get

The applicable exception.

## ◆ Name

string ICSharpCode.SharpZipLib.Core.ScanFailureEventArgs.Name
| get

The applicable name.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/FileSystemScanner.cs